#include <htc.h>
#include "timer.h"
#ifdef XT
	__CONFIG(XT&PWRTEN&WDTDIS);				// config XT
#else
	__CONFIG(0x3ff1);						// config XT
	#define OPTION OPTION_REG
#endif

extern void cput(unsigned char c);
extern void scroll(const char *mess, unsigned char ntimes);
extern void display(const char *message);
extern void clrscr(void);
extern char choice(const char *const *menu);
extern char getch(void);
extern void delay(unsigned char time); 
extern char choice(const char *const *fmenu);
extern char	sbuf[21];
extern char	line[13];
extern unsigned char pulses;

const char *const menu0[]={
			"--RELAY ON--",
			"--RELAY OFF--",
            "--QUIT",0
        };

main()
{
	unsigned char	i,j;

	INTCON=0x20;				                // TMR0 allowed to interrupt
	OPTION=0x07;			                	// prescaler 1:128 to TMR0, enable pullup resistors on PORTA
	TRISB=0x00;				                 	// RB7 is input RB6:RB0 are inputs
	TRISA=0x07;				                	// port A RA2:RA0 input
	pulses=0;
	GIE=1;						                // enable all interrupts
	relayoff();
	RW0_HIGH();	RW1_HIGH();	                    // hold WR high to prevent writing to display
do{	
	while(mode()) 	                            //mode button is high
              display("-SET TIME-");			// put SET TIME on the display
		delay(Delay1000ms);
	 if(select()) {
		relayon();
		display("-ON");		                 	// put ON on the display
		delay(Delay1000ms);
	}

} while(1);
	i=0;
	do {
		scroll("--START--",1);
		sprintf(line,"--TEST %d--",i++);
		scroll(line,1);		
		j=choice(menu0);
		sprintf(line,"--ITEM %d--",j);
		scroll(line,1);		
		scroll("--END--",1);
	} while(1);
}

